<!-- 
@author 		rodrigo.hernandez
@description	Pantalla donde se administran los anexos asociados a los documentos faltantes de una solicitud 
                
@CU  			CU-SA-AC-152 Recibir documentación				
@managed Bean  	RecepcionDocumentacionMB 
@param          detalleDocumentoFaltanteParam - Contiene el registro del DetalleDocumentoFaltante al 
                                                cual se le va a anexar el documento en caso de reemplazo
                                                de un anexo asociado
                                                
@param			banderaEsDocumentoAdicionalParam - Indica si el tipo del documento que se va a anexar, 
                                                   en caso de reemplazo, es adicional o no	
-->

<h:form xmlns="http://www.w3.org/1999/xhtml"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:p="http://primefaces.org/ui" 
        id="adminAnexosDocsFaltantesForm">

    <p:messages id="msgsAADF" globalOnly="false" />
    <p:spacer height="10" />

    <p:fieldset>
        <h:panelGrid width="100%" columns="4" cellpadding="7">
            <h:outputLabel value="Radicación" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputLabelStyle"
                          value="#{recibirDocumentacion.solicitudSeleccionada.numero}" />

            <h:outputLabel value="Fecha radicación" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputLabelStyle"
                          value="#{recibirDocumentacion.solicitudSeleccionada.fecha}" />

            <h:outputLabel value="Solicitante" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputLabelStyle"
                          value="#{recibirDocumentacion.solicitudSeleccionada.solicitante.nombreCompleto}" />

            <h:outputLabel value="Tipo de trámite" styleClass="outputLabelStyle" />
            <h:outputText styleClass="outputLabelStyle"
                          id="AvaluosComercialesTipoTramite-1"
                          value="#{recibirDocumentacion.solicitudSeleccionada.tipo}">
                <f:converter converterId="converterCB"
                             for="AvaluosComercialesTipoTramite-1" />
            </h:outputText>
        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" />

    <p:fieldset id="anexosFS">
        <h:panelGrid width="100%" cellpadding="7">

            <h:panelGrid columns="2" width="100%" cellpadding="7">
                <h:outputLabel value="Tipo documento" styleClass="outputLabelStyle" />
                <h:outputText styleClass="outputLabelStyle"
                              value="#{recibirDocumentacion.detalleDocumentoFaltante.tipoDocumento.nombre}" />
            </h:panelGrid>

            <p:dataTable var="anexo" id="anexosSolicitudTable"
                         widgetVar="anexosTableWV"
                         value="#{recibirDocumentacion.listaSolicitudDocumentacionsSolicitud}"
                         rows="10" rowsPerPageTemplate="10" paginator="true"
                         paginatorPosition="bottom"
                         emptyMessage="No existen documentos faltantes">

                <f:facet name="header">
                    <h:outputText value="Anexos" />
                </f:facet>

                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Acciones" />
                    </f:facet>
                    <p:outputPanel layout="block" style="text-align:left"
                                   id="buscarPanel">

                        <p:commandButton id="consultarBtn" title="Consultar"
                                         icon="ui-icon-search"
                                         action="#{recibirDocumentacion.visualizarDocumento}"
                                         update=":docViewer:docViewerCCForm"
                                         oncomplete="docAvaluosViewerWV.show();statusDialog2.hide()"
                                         onstart="statusDialog2.show()">
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.solicitudDocumentacion}"
                                value="#{anexo}" />
                        </p:commandButton>

                        <p:spacer width="10" />

                        <p:commandButton id="reemplazarBtn" title="Reemplazar"
                                         icon="ui-icon-refresh" onstart="statusDialog2.show()"
                                         action="#{recibirDocumentacion.reemplazarAnexo}"
                                         oncomplete="statusDialog2.hide(); 
                                         anexosDocsFaltantesWV.show();
                                         adminAnexosDocsFaltantesWV.hide()"
                                         update=":adminAnexosDocsFaltantesForm:anexosFS,
                                         :detallesDocsFaltantesForm,
                                         :cargarAnexosDocsFaltantesForm">
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.detalleDocumentoFaltante}"
                                value="#{detalleDocumentoFaltanteParam}" />
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.banderaEsAnexoAdicional}"
                                value="banderaEsDocumentoAdicionalParam" />
                        </p:commandButton>

                        <p:spacer width="10" />

                        <p:commandButton id="eliminarBtn" title="Eliminar"
                                         icon="ui-icon-close" onstart="statusDialog2.show()"
                                         oncomplete="statusDialog2.hide(); confirmacionEliminarAnexoWV.show()"
                                         update=":adminAnexosDocsFaltantesForm:anexosFS,
                                         :detallesDocsFaltantesForm,
                                         :cargarAnexosDocsFaltantesForm">
                            <f:setPropertyActionListener
                                target="#{recibirDocumentacion.solicitudDocumentacion}"
                                value="#{anexo}" />
                        </p:commandButton>
                    </p:outputPanel>
                </p:column>

                <p:column>
                    <f:facet name="header">
                        <h:outputText value="Archivo anexo" />
                    </f:facet>
                    <h:outputText value="#{anexo.soporteDocumentoId.archivo}"
                                  styleClass="outputLabelStyle" />
                </p:column>
            </p:dataTable>
        </h:panelGrid>
    </p:fieldset>

    <p:spacer height="10" />

</h:form>